# clavier.h File Reference

## Functions
word | Conversion_ANSI (SDL_keysym Sym)
word | Conversion_Touche (SDL_keysym Sym)
word | Touche_pour_scancode (word scancode)
const char * | Nom_touche (word Touche)
word | Modificateurs_Touche (SDLMod Mod)

## Function Documentation

word Conversion_ANSI | ( | SDL_keysym | Sym | ) |

Referenced by Handle_Key_Press().

word Conversion_Touche | ( | SDL_keysym | Sym | ) |

References Modificateurs_Touche().

Referenced by Handle_Key_Press(), Handle_Key_Release(), and Lire_Touche().

word Touche_pour_scancode | ( | word | scancode | ) |

References Scancode_to_Sym.

Referenced by Charger_CFG().

const char* Nom_touche | ( | word | Touche | ) |

References MOD_ALT, MOD_CTRL, MOD_SHIFT, Nom_touche(), TOUCHE_BUTTON, TOUCHE_MOUSEMIDDLE, TOUCHE_MOUSEWHEELDOWN, and TOUCHE_MOUSEWHEELUP.

Referenced by Ecrire(), Fenetre_controle(), Nom_touche(), and Valeur_Raccourci_Clavier().

word Modificateurs_Touche | ( | SDLMod | Mod | ) |

References MOD_ALT, MOD_CTRL, and MOD_SHIFT.

Referenced by Conversion_Touche(), Handle_Joystick_Press(), and Handle_Mouse_Click().